
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>maven repository / iVAN</title>

    <meta name="description" content="maven repository 在settings.xml中配置远程仓库 我们知道了如何在POM中配置远程仓库,但考虑这样的情况:在一个公司内部,同时进行这3个项目,而且以后随着这几个项目的结束,越来越多的项目会开始:同时,公司内部建立一个Maven仓库.我们统一为所有这些项目配置该仓库,于是不得不为每个项目提供同样的配置.问题出现了,这是重复 ! 其实我们可以做到只配置一次,在哪里配置呢?就是settings.xml. 不过事情没有那么简单,不是简单的将POM中的&lt;repositories&gt;及&lt;plugin ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">maven repository</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>在settings.xml中配置远程仓库</h2>
<p>我们知道了如何在POM中配置远程仓库，但考虑这样的情况：在一个公司内部，同时进行这3个项目，而且以后随着这几个项目的结束，越来越多的项目会开始；同时，公司内部建立一个Maven仓库。我们统一为所有这些项目配置该仓库，于是不得不为每个项目提供同样的配置。问题出现了，这是<strong><em>重复</em> </strong>！</p>
<p>其实我们可以做到只配置一次，在哪里配置呢？就是settings.xml。</p>
<p>不过事情没有那么简单，不是简单的将POM中的&lt;repositories&gt;及&lt;pluginRepositories&gt;元素复制到settings.xml中就可以，setting.xml<em>不直接支持</em> 这两个元素。但我们还是有一个并不复杂的解决方案，就是利用profile，如下：</p>
<p>Xml代码 <a href="http://juvenshun.javaeye.com/blog/359256#" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvanV2ZW5zaHVuLmphdmFleWUuY29tL2ltYWdlcy9pY29uX2NvcHkuZ2lm.jpg"></a></p>
<ol>
<li><strong>&lt;settings&gt;</strong>  </li>
<li>  ...   </li>
<li>  <strong>&lt;profiles&gt;</strong>  </li>
<li>    <strong>&lt;profile&gt;</strong>  </li>
<li>      <strong>&lt;id&gt;</strong>dev<strong>&lt;/id&gt;</strong>  </li>
<li>      &lt;!-- repositories and pluginRepositories here--&gt;  </li>
<li>    <strong>&lt;/profile&gt;</strong>  </li>
<li>  <strong>&lt;/profiles&gt;</strong>  </li>
<li>  <strong>&lt;activeProfiles&gt;</strong>  </li>
<li>    <strong>&lt;activeProfile&gt;</strong>dev<strong>&lt;/activeProfile&gt;</strong>  </li>
<li>  <strong>&lt;/activeProfiles&gt;</strong>  </li>
<li>  ...   </li>
<li><strong>&lt;/settings&gt;</strong>  </li>
</ol>
<p><strong>[xml]</strong> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">copy</a><br />
<br /> </p>
<ol>
<li>&lt;settings&gt;  </li>
<li>  ...  </li>
<li>  &lt;profiles&gt;  </li>
<li>    &lt;profile&gt;  </li>
<li>      &lt;id&gt;dev&lt;/id&gt;  </li>
<li>      &lt;!-- repositories and pluginRepositories here--&gt;  </li>
<li>    &lt;/profile&gt;  </li>
<li>  &lt;/profiles&gt;  </li>
<li>  &lt;activeProfiles&gt;  </li>
<li>    &lt;activeProfile&gt;dev&lt;/activeProfile&gt;  </li>
<li>  &lt;/activeProfiles&gt;  </li>
<li>  ...  </li>
<li>&lt;/settings&gt;  </li>
</ol>
<p>这里我们定义一个id为dev的profile，将所有repositories以及pluginRepositories元素放到这个profile中，然后，使用&lt;activeProfiles&gt;元素自动激活该profile。这样，你就不用再为每个POM重复配置仓库。</p>
<p>使用profile为settings.xml添加仓库提供了一种用户全局范围的仓库配置。</p>
<p> </p>
<h2>镜像</h2>
<p>如果你的地理位置附近有一个速度更快的central镜像，或者你想覆盖central仓库配置，或者你想为所有POM使用唯一的一个远程仓库（这个远程仓库代理的所有必要的其它仓库），你可以使用settings.xml中的mirror配置。</p>
<p>以下的mirror配置用maven.net.cn覆盖了Maven自带的central：</p>
<p>Xml代码 <a href="http://juvenshun.javaeye.com/blog/359256#" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvanV2ZW5zaHVuLmphdmFleWUuY29tL2ltYWdlcy9pY29uX2NvcHkuZ2lm.jpg"></a></p>
<ol>
<li><strong>&lt;settings&gt;</strong>  </li>
<li>...   </li>
<li>  <strong>&lt;mirrors&gt;</strong>  </li>
<li>    <strong>&lt;mirror&gt;</strong>  </li>
<li>      <strong>&lt;id&gt;</strong>maven-net-cn<strong>&lt;/id&gt;</strong>  </li>
<li>      <strong>&lt;name&gt;</strong>Maven China Mirror<strong>&lt;/name&gt;</strong>  </li>
<li>      <strong>&lt;url&gt;</strong>http://maven.net.cn/content/groups/public/<strong>&lt;/url&gt;</strong>  </li>
<li>      <strong>&lt;mirrorOf&gt;</strong>central<strong>&lt;/mirrorOf&gt;</strong>  </li>
<li>    <strong>&lt;/mirror&gt;</strong>  </li>
<li>  <strong>&lt;/mirrors&gt;</strong>  </li>
<li>...   </li>
<li><strong>&lt;/settings&gt;</strong>  </li>
</ol>
<p><strong>[xml]</strong> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">copy</a><br />
<br /> </p>
<ol>
<li>&lt;settings&gt;  </li>
<li>...  </li>
<li>  &lt;mirrors&gt;  </li>
<li>    &lt;mirror&gt;  </li>
<li>      &lt;id&gt;maven-net-cn&lt;/id&gt;  </li>
<li>      &lt;name&gt;Maven China Mirror&lt;/name&gt;  </li>
<li>      &lt;url&gt;http://maven.net.cn/content/groups/public/&lt;/url&gt;  </li>
<li>      &lt;mirrorOf&gt;central&lt;/mirrorOf&gt;  </li>
<li>    &lt;/mirror&gt;  </li>
<li>  &lt;/mirrors&gt;  </li>
<li>...  </li>
<li>&lt;/settings&gt;  </li>
</ol>
<p> </p>
<p>这里唯一需要解释的是&lt;mirrorOf&gt;，这里我们配置central的镜像，我们也可以配置一个所有仓库的镜像，以保证该镜像是Maven唯一使用的仓库：</p>
<p>Xml代码 <a href="http://juvenshun.javaeye.com/blog/359256#" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvanV2ZW5zaHVuLmphdmFleWUuY29tL2ltYWdlcy9pY29uX2NvcHkuZ2lm.jpg"></a></p>
<ol>
<li><strong>&lt;settings&gt;</strong>  </li>
<li>...   </li>
<li>  <strong>&lt;mirrors&gt;</strong>  </li>
<li>    <strong>&lt;mirror&gt;</strong>  </li>
<li>      <strong>&lt;id&gt;</strong>my-org-repo<strong>&lt;/id&gt;</strong>  </li>
<li>      <strong>&lt;name&gt;</strong>Repository in My Orgnization<strong>&lt;/name&gt;</strong>  </li>
<li>      <strong>&lt;url&gt;</strong>http://192.168.1.100/maven2<strong>&lt;/url&gt;</strong>  </li>
<li>      <strong>&lt;mirrorOf&gt;</strong>*<strong>&lt;/mirrorOf&gt;</strong>  </li>
<li>    <strong>&lt;/mirror&gt;</strong>  </li>
<li>  <strong>&lt;/mirrors&gt;</strong>  </li>
<li>...   </li>
<li><strong>&lt;/settings&gt;</strong>  </li>
</ol>
<p><strong>[xml]</strong> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/joewolf/article/details/4876604#" rel="external nofollow noreferrer">copy</a><br />
<br /> </p>
<ol>
<li>&lt;settings&gt;  </li>
<li>...  </li>
<li>  &lt;mirrors&gt;  </li>
<li>    &lt;mirror&gt;  </li>
<li>      &lt;id&gt;my-org-repo&lt;/id&gt;  </li>
<li>      &lt;name&gt;Repository in My Orgnization&lt;/name&gt;  </li>
<li>      &lt;url&gt;http://192.168.1.100/maven2&lt;/url&gt;  </li>
<li>      &lt;mirrorOf&gt;*&lt;/mirrorOf&gt;  </li>
<li>    &lt;/mirror&gt;  </li>
<li>  &lt;/mirrors&gt;  </li>
<li>...  </li>
<li>&lt;/settings&gt;  </li>
</ol>
<p>关于更加高级的镜像配置，可以参考：http://maven.apache.org/guides/mini/guide-mirror-settings.html。</p>
<p>http://blog.csdn.net/joewolf/article/details/4876604</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 07:38:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/%e9%95%9c%e5%83%8f/" title="镜像">镜像</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/url/" title="url">url</a>, <a href="https://www.iamivan.net/tag/maven/" title="Maven">Maven</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>maven repository的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7xP7p.html" rel="bookmark">maven添加非官方jar包到本地库&lpar;maven&colon; install an external jar into local maven repository&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://jiajun.iteye.com/blog/603517 解决了我的问题,内容如下:   Sometimes, you project will have dependency on a jar which is not in official maven repository , and maybe it is propriety jar file which will never be part of maven repository . In this case, yo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmn8Rz.html" rel="bookmark">Sonatype OSS Maven Repository Usage Guide</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:https://docs.sonatype.org/display/Repository/Sonatype+OSS+Maven+Repository+Usage+Guide Sonatype OSS Maven Repository Usage Guide Attachments:4 Added by Juven Xu, last edited by Joel Orlina on Jun 05, 2013  (view change) 1. Introduction 1a. Terms o			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOje0M.html" rel="bookmark">Maven dependency and repository</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们看一个最常见到的例子: &lt;project&gt; &lt;modelVersion&gt;4.0.0&lt;/modelVersion&gt; &lt;groupId&gt;com.mycompany.app&lt;/groupId&gt; &lt;artifactId&gt;my-app&lt;/artifactId&gt; &lt;packaging&gt;jar&lt;/packaging&gt; &lt;version&gt;1.0-SNAPSHOT&lt;/version&gt; &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWwKDb.html" rel="bookmark">Maven里面mirror元素和repository元素的作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mirror 是做什么的?repository是做什么的?2者有什么联系和区别呢? 问题补充:cwx714 写道 解决方案 简单点来说,repository就是个仓库.maven里有两种仓库,本地仓库和远程仓库.远程仓库相当于公共的仓库,大家都能看到.本地仓库是你本地的一个山寨版,只有你看的到,主要起缓存作用.当你向仓库请求插件或依赖的时候,会先检查本地仓库里是否有.如果有则直接返回,否则会向远程仓库请求,并做缓存.你也可以把你做的东西上传到本地仓库给你本地自己用,或上传到远程仓库,供			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3a0mM.html" rel="bookmark">maven sonatype相关网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Sonatype OSS Maven Repository Usage Guide  https://docs.sonatype.org/display/Repository/Sonatype+OSS+Maven+Repository+Usage+Guide 2.Maven: The Complete Reference  Table of Contents    http://www.sonatype.com/books/mvnref-book/reference/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAQrvM.html" rel="bookmark">使用Maven的archetype快速生成一个新项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Maven的archetype Plugin可能大家都听过,但不一定都能很好地用好它.缺省地如果你使用 mvn archetype:generate 会从maven的Repository里查找所有支持的arche types,大概有500~600个.正因为是太多了,所以查找起来很是不方便. 其实平时常用的arche type也就那么几个.像我会用到的: simple start web app Groovy basic 很自然的就会考虑,是不是能什么简便的方法只需要从这3个组成的list里选择就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEnn6p.html" rel="bookmark">Maven入门指南（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接 | 译文链接 | 译者:nkcoder | 审校:方腾飞 Maven目录结构 Maven有一个标准的目录结构.如果你在项目中遵循Maven的目录结构,就无需在pom文件中指定源代码.测试代码等目录. Maven的目录结构布局,参考Maven标准目录结构介绍 以下为最重要的目录: - src - main - java - resources - webapp - test - java - resources - target src目录是源代码和测试代码的根目录.main目录是应用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPgnmp.html" rel="bookmark">MAVEN常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Maven库: http://repo2.maven.org/maven2/ Maven依赖查询: http://mvnrepository.com/ Maven常用命令: 1. 创建Maven的普通java项目: mvn archetype:create -DgroupId=packageName -DartifactId=projectName 2. 创建Maven的Web项目: mvn archetype:create -DgroupId=packageName -DartifactId=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkgdqb.html" rel="bookmark">maven学习（中）- 私服nexus搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接上回继续,相信大家对maven每次都联网从国外站点下载依赖项的龟速网络已经不坎忍受了,今天先来看看如何搭建&quot;仓库私服&quot;,目前nexus是使用比较广泛的私服软件之一,下面将介绍基本用法:   一.到nexus官网下载最新版 1.1 下载地址:http://www.sonatype.org/downloads/nexus-latest-bundle.zip (目前最新版本是2.7.2-03) (2015-07-02注: 上面的下载地址好象已经失效了,新的地址为 http://www.so			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPdmpN.html" rel="bookmark" class="title">Photoshop制作非常剔透的彩色光束</a>
					<div>
						效果图虽然由很多光束构成,不过单一的光束制作非常简单,只需要理清光束的大致轮廓,然后分层逐步制作,控制好图层的不透明度等,就可以做出剔透的叠加效果. photoshop教程最终效果 &lt;点小图查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqmakM.html" rel="bookmark" class="title">实战ASP&lpar;3&rpar;&colon;用ASP构建你的网站新闻发布</a>
					<div>
						用ASP构建你的网站新闻发布      更新每天新闻内容,对webmaster们来说是一件很头痛的事,首先,收集了大量的新闻资料后,还必须制作大量的网页,每天大大小小的国际新闻,国内新闻,IT新闻,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zerK0b.html" rel="bookmark" class="title">php入门&colon; php入门第六天</a>
					<div>
						    灵活的字符串.   因为$表达的灵活性,我们可以用&quot;映射&quot;的方法,调出字符串或者函数.&lt;?php$a = 'b';$b = '123';echo $$a; // 这可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo5Ddp.html" rel="bookmark" class="title">网站排名需慢工出细活  勿走所谓的捷径</a>
					<div>
						&quot;seo门槛低,没什么技术含量&quot;最近听到许多这样评价seo,其实这不是完全没道理.seo比较容易入门,在网上大把seo相关的知识文章,可以说在一seo论坛里混上一两个月就可以将se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvk41p.html" rel="bookmark" class="title">风行铸就新时代的免费高清电影院</a>
					<div>
						一.序言 资源整合技术创新,简简单的几个字,一代管理大师林伟贤道出了成功的真谛!生活中不是缺少美而是缺少发现,仔细揣摩,与林伟贤先生提出的资源整合又是何其的相似. 都说网络是创造财富的地方,都说网络是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB26Rkb.html" rel="bookmark" class="title">80386保护方式简介</a>
					<div>
						80386有三种工作方式:实模式,保护模式和虚拟8086模式.本文介绍保护方式下的80386及相关的程序设计内容.实模式下的80386寄存器,寻址方式和指令等基本概念,除特别说明外在保护方式下仍然保持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7GB3b.html" rel="bookmark" class="title">Thrift的TProtocol类体系原理及源码详解：其他协议类和总结</a>
					<div>
						第六节 其他协议类 主要的协议类基本上已经介绍完毕了,当然如果你有更好的实 现和思路也可以实现自己的协议类,只要按照我前面介绍的类层次结构继承就可以了.除了 前面几节介绍的协议类,Thrift还实现了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP7NGM.html" rel="bookmark" class="title">Android开发入门（五）屏幕组件 5&period;6 FrameLayout帧布局</a>
					<div>
						FrameLayout就是屏幕上的一个&quot;定位器&quot;,可以使用它去显示一个单一的视图.被添加到FrameLayout上 的视图views总是被固定在这个布局的左上角.考虑以下的代码:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwYEkz.html" rel="bookmark" class="title">Struts开发指南之工作流程</a>
					<div>
						下图是Struts的工作流程,前边我们提到,所有的请求都提交给ActionServlet来处理. 开发指南之工作流程-struts开发流程&quot;&gt;ActionServlet是一个Front ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wr21p.html" rel="bookmark" class="title">用PS制作炫目的&OpenCurlyDoubleQuote;联系我们&rdquo;按钮</a>
					<div>
						本教程来自:psdvault.com 如需转载 请务必以超链接形式注明:来自活 力盒 子网站以及原文出处.水平有限,翻译难免有误,请有心的朋友给予指出,以方便更多朋友阅读. 1.在photoshop中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3d3EM.html" rel="bookmark" class="title">Win8任务管理器如何显示更多信息如进程句柄、线程等等</a>
					<div>
						  第一步.打开任务管理器,转到详细信息选项卡,在名称.状态.用户名的呢个项目位置,单击鼠标右键,菜单中选择&quot;选择列&quot;. 第二步.在选择列界面,点击勾选我们希望显示的项目后,点击确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WqQjb.html" rel="bookmark" class="title">js中函数定义时遇到的错误</a>
					<div>
						问题描述 js中函数定义时遇到的错误 Syntax error on token &quot;&quot;Invalid Character&quot;&quot; ; expected,IDE错误提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWdArp.html" rel="bookmark" class="title">jQuery的Ajax用户认证和注册技术实例教程&lpar;附demo源码&rpar;&lowbar;jquery</a>
					<div>
						前面介绍了&lt;jquery+ajax注册实时验证&gt;及&lt;jQuery使用$.ajax进行即时验证的方法&gt;.这里进一步总结了jQuery的Ajax用户认证和注册技术.分享给大家供大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3rRZz.html" rel="bookmark" class="title">微信服务号开发模式下，如何获取用户发送给服务号的信息，转给客服，再将客服回答信息转给用户？</a>
					<div>
						问题描述 微信服务号开发模式下,如何获取用户发送给服务号的信息,转给客服,再将客服回答信息转给用户? 开发一个微信转接接口,需求是:微信服务号在开发者模式下,也就是有基本配置(服务器配置),获取到用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7jvJp.html" rel="bookmark" class="title">iOS WKWebView 混合应用开发时代来临 - 嵌入式 JS 的调试成为催化剂</a>
					<div>
						iOS WKWebView 混合应用开发时代来临 - 嵌入式 JS 的调试成为催化剂 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxmWOb.html" rel="bookmark" class="title">JSP中获取各种路径的方法</a>
					<div>
						test1.jsp&lt;a href =&quot;test.jsp?p=fuck&quot;&gt;跳转到test2&lt;/a&gt; test2.jsp &lt;% String path = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NOroM.html" rel="bookmark" class="title">一个有数据库支持的web项目，打包成war包时应该怎么配置数据库才能在别人电脑上也能运行？</a>
					<div>
						问题描述 一个有数据库支持的web项目,打包成war包时应该怎么配置数据库才能在别人电脑上也能运行? 学生党,最近要交一项作业,编写一个数据库支持的web项目,然后打包成war包交上去,我想问对于数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Y9jz.html" rel="bookmark" class="title">IM即时聊天消息怎么按时间来排序</a>
					<div>
						问题描述 最近在做一个IM的即时通讯的项目,现在有遇到一个问题是需要把每次收到的消息(单聊,群聊,**)都排到最前面,类似于手机QQ收到消息的效果 我用了三个hashmap来保存三种不同类型的消息 主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj5g0M.html" rel="bookmark" class="title">网秦拓展EMEA地区业务任命董事总经理</a>
					<div>
						新浪科技讯 北京时间10月12日晚间消息,网秦(NYSE:NQ)今日宣布,已任命技术专家杰奥夫·凯斯利(Geoff Casely)为公司欧洲.中东和非洲地区(以下简称&quot; EMEA&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Onoz.html" rel="bookmark" class="title">钟丽缇1岁小女儿可爱近照曝光小脸圆嘟嘟</a>
					<div>
						钟丽缇女儿十分可爱(1 /6张) 2010年2月6日,已育有两名爱女的钟丽缇以39岁&quot;高龄&quot;在北京顺利产下她的第三个千金,孩子出生时体重3.3公斤,健康可爱,他们为爱女取英文名为C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKWJWz.html" rel="bookmark" class="title">css实现气泡框效果&lpar;实例加图解&rpar;&lowbar;CSS&sol;HTML</a>
					<div>
						前提:气泡框或者提示框是网页很常见的,实现它的方式有很多,我们以前最常用的就是切图片 然后通过 &quot;定位&quot; 方式 定位到相应的位置,但是用这种方式维护很麻烦,比如设计师想改成另外一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QQRRp.html" rel="bookmark" class="title">Bin 和 App&lowbar;Code 文件夹介绍&lowbar;实用技巧</a>
					<div>
						如果您的 Web 应用程序包括要在多个页之间共享的代码,您可以将代码保存在 Web 应用程序根目录下的两个特殊文件夹(Bin 文件夹和 App_Code 文件夹)中的某个文件夹中. Bin 文件夹 可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44ddJz.html" rel="bookmark" class="title">Android高仿微信聊天界面代码分享&lowbar;Android</a>
					<div>
						微信聊天现在非常火,是因其界面漂亮吗,哈哈,也许吧.微信每条消息都带有一个气泡,非常迷人,看起来感觉实现起来非常难,其实并不难.下面小编给大家分享实现代码. 先给大家展示下实现效果图: OK,下面我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NXa9b.html" rel="bookmark" class="title">各位大侠们帮我看看这个错误吧我都快被整疯了</a>
					<div>
						问题描述 org.springframework.beans.factory.BeanCreationException:Errorcreatingbeanwithname'MetaRepClassA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0e30p.html" rel="bookmark" class="title">《PowerShell V3&mdash;&mdash;SQL Server 2012数据库自动化运维权威指南》&mdash;&mdash;2&period;7　查找数据库对象</a>
					<div>
						2.7 查找数据库对象 本方案讲述如何基于查找字符串通过PowerShell查找数据库对象. 2.7.1 准备 在这个练习中,我们将使用AdventureWorks2008R2查找名称中含有&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyjGvM.html" rel="bookmark" class="title">《逻辑与计算机设计基础（原书第5版）》&mdash;&mdash;3&period;3　组合功能模块</a>
					<div>
						3.3 组合功能模块 我们已经定义并讲解了组合电路及其设计.在这一节,我们将定义一些特殊的组合函数及其对应的组合电路,称之为功能模块.在某些情况下,我们会详细介绍从函数得到电路的整个设计过程,但有时我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn49nWb.html" rel="bookmark" class="title">耐思尼克域名优惠com、cn域名降至29元，注册量翻番</a>
					<div>
						众所周知,一个COM域名的市场价在顶级服务商那里永远不会低于80元,更有甚的在120左右.这让很多网站建设者望&quot;米&quot;感叹,什么时候能有一家顶级http://www.aliyun.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqNGNb.html" rel="bookmark" class="title">2016年二季度我国安防经济景气度全面回升多项指标回归&OpenCurlyDoubleQuote;较强景气区间&rdquo;</a>
					<div>
						2016年上半年,面对世界经济深度调整和国内经济增速放缓的压力,中国政府持续完善宏观经济政策,创新宏观调控方式,大力推进供给侧结构性改革及&quot;去产能.去库存.去杠杆.降成本.补短板&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXE8Kz.html" rel="bookmark" class="title">win8 vs2010 不能引用dll文件</a>
					<div>
						问题描述 win8vs2010不能引用dll文件,重新安装了vs2013也不能引用,在xaml中一加xmlns:WPFMediaKit=&quot;clr-namespace:WPFMediaKit. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXN0DM.html" rel="bookmark" class="title">你的网站为什么不够吸引人 自毁网站的12宗罪</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 想知道为什么你的网站不够吸引人,或者你的转换速率很慢?网站开发者.设计人员和消费者体验专家来告诉你哪里不对. --詹妮弗·乐娜芙·希夫 2012年11月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
